#include "CS_PeWaterDroplet.h"
#include "CS_PeWaterDrop.h"
CS_PeWaterDroplet::CS_PeWaterDroplet()
{
	type = 3;
}

void CS_PeWaterDroplet::Step()
{
	if (Random(0, 100) == 2)
	{
		auto e = std::make_shared<CS_PeWaterDrop>();
		e->x = x + Random(-6, 6);
		e->y = y - 0xE00 / ts;
		gameFunc->SetEntity(shared_from_this(), e);
	}
}

std::shared_ptr<Entity> CreateCS_WaterDroplet()
{
	return std::make_shared<CS_PeWaterDroplet>();
}
